Mailinglist Archive: opensuse-security-announce (47 mails)

< Previous Next >
[security-announce] openSUSE-SU--1: important: Security update for ucode-intel
openSUSE Security Update: Security update for ucode-intel
______________________________________________________________________________

Announcement ID: openSUSE-SU--1
Rating: important
References: #1068032
Cross-References: CVE-2017-5715
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:



This update for ucode-intel fixes the following issues:

The CPU microcode for Haswell-X, Skylake-X and Broadwell-X chipsets was
updated to report both branch prediction control via CPUID flag and
ability to control branch prediction via an MSR register.

This update is part of a mitigation for a branch predictor based
information disclosure attack, and needs additional code in the Linux
Kernel to be active (bsc#1068032 CVE-2017-5715)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-4=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-4=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

ucode-intel-20170707-13.1
ucode-intel-blob-20170707-13.1
ucode-intel-debuginfo-20170707-13.1
ucode-intel-debugsource-20170707-13.1

- openSUSE Leap 42.2 (i586 x86_64):

ucode-intel-20170707-7.9.1
ucode-intel-blob-20170707-7.9.1
ucode-intel-debuginfo-20170707-7.9.1
ucode-intel-debugsource-20170707-7.9.1


References:

https://www.suse.com/security/cve/CVE-2017-5715.html
https://bugzilla.suse.com/1068032

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages